%define module   Test-WWW-Mechanize-CGI
%define version    0.1
%define release    %mkrel 3

Name:       perl-%{module}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Test CGI applications with Test::WWW::Mechanize
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Test/%{module}-%{version}.tar.gz
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::WWW::Mechanize)
BuildRequires: perl(WWW::Mechanize::CGI)
BuildRequires: perl(CGI)
BuildArch: noarch


%description
Provides a convenient way of testing CGI applications without a external
daemon.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/Test

%changelog
* Wed Jan 26 2011 jquelin <jquelin> 0.1-3.mga1
+ Revision: 41277
- mageia rebuild
- cleaning spec file
- imported package perl-Test-WWW-Mechanize-CGI


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.1-3mdv2010.0
+ Revision: 430601
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-2mdv2009.0
+ Revision: 268775
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-1mdv2009.0
+ Revision: 213782
- import perl-Test-WWW-Mechanize-CGI


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-1mdv2009.0
- first mdv release
